package cygx

import (
	"github.com/beego/beego/v2/client/orm"
	"hongze/hz_crm_api/utils"
	"strconv"
	"time"
)

type CygxProductInteriorHistory struct {
	Id                int `orm:"column(id);pk"`
	ProductInteriorId int
	UserId            int
	CreateTime        time.Time
	Mobile            string    `description:"手机号"`
	Email             string    `description:"邮箱"`
	CompanyId         int       `description:"公司id"`
	CompanyName       string    `description:"公司名称"`
	ModifyTime        time.Time `description:"修改时间"`
	RealName          string    `description:"用户实际名称"`
	SellerName        string    `description:"所属销售"`
}

// 列表
func GetCygxProductInteriorHistoryList(condition string, pars []interface{}) (items []*CygxProductInteriorHistory, err error) {
	o := orm.NewOrmUsingDB("hz_cygx")
	sql := `SELECT * FROM cygx_product_interior_history as art WHERE 1= 1 `
	condition += `  AND company_id != ` + strconv.Itoa(utils.HZ_COMPANY_ID) // 过滤弘则来源
	if condition != "" {
		sql += condition
	}
	_, err = o.Raw(sql, pars).QueryRows(&items)
	return
}
